Description

The home grown class inheritance stuff in family is confusing.

Switch to using a set of classes based upon the Operatingsystem

Related issues:

Blocks Foreman - Feature #178: Automate populating the TFTP directory Closed 03/14/2010

Associated revisions

Revision 2c83f744 - 06/25/2010 08:56 AM - Paul Kelly

Fixes #260 - Switch to using STI for OS families

History

#1 - 05/21/2010 03:24 PM - Paul Kelly

- Status changed from New to Feedback

- Branch set to refactor/260-family-with-sti

#2 - 05/28/2010 12:52 PM - Paul Kelly

By adding a 'type' field to the operatingsystem record and then managing this field manually we can make Rails cast the record to the required family

class.

#3 - 05/30/2010 05:02 PM - Ohad Levy

- Target version set to 0.1-6

#4 - 06/14/2010 10:53 AM - Paul Kelly

Fixed for 1.5

Tests work

#5 - 06/17/2010 11:47 AM - Paul Kelly

Added OS before_filter to deduce the family, if not set

OS DB entries can now contain a null type

@@families promoted to Operatingsystem::FAMILIES

Included mods suggested by Ohad

#6 - 06/18/2010 11:04 AM - Paul Kelly

Rebased

Centralized Family name and os membership list into a single hash

Added test in unattended controller that detects if a os has no family

simplified deduce_family

tests pass

#7 - 06/25/2010 09:15 AM - Paul Kelly

- Status changed from Feedback to Ready For Testing
- % Done changed from 0 to 100

Applied in changeset 2c83f7442b4588f0e65531f735b844457ea7d41c.

#8 - 06/28/2010 10:05 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
